summaryrefslogtreecommitdiffstats
path: root/desktop/q4wine/q4wine.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/q4wine/q4wine.SlackBuild')
-rw-r--r--desktop/q4wine/q4wine.SlackBuild20
1 files changed, 10 insertions, 10 deletions
diff --git a/desktop/q4wine/q4wine.SlackBuild b/desktop/q4wine/q4wine.SlackBuild
index fdd4ff4946..1aa4a6b89a 100644
--- a/desktop/q4wine/q4wine.SlackBuild
+++ b/desktop/q4wine/q4wine.SlackBuild
@@ -23,13 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=q4wine
-VERSION=${VERSION:-1.3}
+VERSION=${VERSION:-1.3.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -43,8 +43,8 @@ OUTPUT=${OUTPUT:-/tmp}
# Leave this here for now - it is needed if we use an -rc version.
SRCVERSION=$(echo $VERSION | tr _ -)
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -67,10 +67,10 @@ tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.?z*
cd $PRGNAM-$SRCVERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir build
( cd build
@@ -83,9 +83,9 @@ mkdir build
make
make install DESTDIR=$PKG
-) || exit
+) || exit 1
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Move man pages in to the correct place and compress them.